Package net.shibboleth.idp.attribute.resolver.spring.enc.impl

# Class SAML1ScopedStringAttributeEncoderParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.enc.BaseAttributeEncoderParser
net.shibboleth.idp.attribute.resolver.spring.enc.BaseSAML1AttributeEncoderParser
net.shibboleth.idp.attribute.resolver.spring.enc.impl.SAML1ScopedStringAttributeEncoderParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class SAML1ScopedStringAttributeEncoderParser extends BaseSAML1AttributeEncoderParser
Spring Bean Definition Parser for `SAML1ScopedStringAttributeTranscoder`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`TYPE_NAME`
Schema type name.

### Fields inherited from class net.shibboleth.idp.attribute.resolver.spring.enc.BaseAttributeEncoderParser

`NAME_ATTRIBUTE_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`SAML1ScopedStringAttributeEncoderParser()`

## Method Summary

Modifier and Type
Method
Description
`protected BeanReference`
`buildTranscoder()`
Return a bean definition for the transcoder to include in the mapping.
`protected void`
`doParse(Element config, ParserContext parserContext, Map<String,Object> rule)`
Inject any necessary elements into the mapping rule based on the specific encoder type.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.enc.BaseAttributeEncoderParser

`doParse, getBeanClass, shouldGenerateId, shouldParseNameAsAliases`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type name.

## Constructor Details

### SAML1ScopedStringAttributeEncoderParser

public SAML1ScopedStringAttributeEncoderParser()

## Method Details

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull Map<String,Object> rule)
Inject any necessary elements into the mapping rule based on the specific encoder type.

Overrides:
  `doParse` in class `BaseSAML1AttributeEncoderParser`
Parameters:
  `config` - the encoder element being parsed
  `parserContext` - the parser context
  `rule` - the mapping rule

### buildTranscoder

@Nonnull protected BeanReference buildTranscoder()
Return a bean definition for the transcoder to include in the mapping.

Specified by:
  `buildTranscoder` in class `BaseAttributeEncoderParser`
Returns:
  bean definition for an AttributeTranscoder